import React, { Component } from 'react';
import { View, Text, TouchableOpacity, } from 'react-native';
import * as typings from './Day.type';
import Label from '../../Label';
import styles from './style';
class Day extends Component {
    constructor() {
        super(...arguments);
        this.isMonth = () => {
            const { isSelected, isToday, disabled, style } = this.props;
            const currentDay = isToday || isSelected ?
                [styles.selectText, style.selectText] : [styles.defaultDay, style.defaultDay];
            const disabledDay = disabled ? null : [styles.disabled, style.disabled];
            return [currentDay, disabledDay];
        };
        this.activeStyle = () => {
            const { isToday, style } = this.props;
            return isToday ? [styles.isToday, style.isToday] : [styles.defaultTextBg, style.defaultTextBg];
        };
        this.selectStyle = () => {
            const { isSelected, style } = this.props;
            return isSelected ? [styles.isSelect, style.isSelect] : null;
        };
        this.renderLaber = () => {
            const label = this.props.label;
            return label && React.createElement(Label, { label: label });
        };
        this.renderContent = () => {
            const { title, style } = this.props;
            return (React.createElement(View, { style: [styles.dayContainer, style.dayContainer] },
                React.createElement(View, { style: [this.selectStyle(), this.activeStyle()] },
                    React.createElement(Text, { style: this.isMonth() }, title))));
        };
    }
    render() {
        const props = this.props;
        return (React.createElement(View, null,
            props.disabled ?
                (React.createElement(TouchableOpacity, { onPress: props.onPress }, this.renderContent()))
                : this.renderContent(),
            React.createElement(View, null, this.renderLaber())));
    }
}
Day.defaultProps = new typings.Props();
export default Day;
//# sourceMappingURL=Day.js.map