import React, { Component } from 'react';
import { View, StyleSheet, Text } from 'react-native';
import Day from '../Day';
const styles = StyleSheet.create({
    monthHeader: {
        fontWeight: 'bold',
        alignSelf: 'center',
        fontSize: 17,
    },
    monthDays: {
        marginBottom: 20,
        flexDirection: 'row',
        flexWrap: 'wrap'
    },
    weekDay: {
        justifyContent: 'center',
        alignItems: 'center'
    }
});
export default class Month extends Component {
    render() {
        const year = this.props.dataSource[15].date.getFullYear();
        const month = String(this.props.dataSource[15].date.getMonth() + 1);
        return (React.createElement(View, null,
            React.createElement(Text, { style: styles.monthHeader },
                year,
                " \u5E74 ",
                month.length > 1 ? month : `0${month}`,
                " \u6708 "),
            React.createElement(View, { style: styles.monthDays }, this.props.dataSource.map((data, i) => {
                return (React.createElement(Day, Object.assign({}, this.props, data, { key: i, onDayPress: this.props.changeSelection })));
            }))));
    }
}
//# sourceMappingURL=index.js.map