import React, { Component, } from 'react';
import { View, LayoutAnimation, TouchableOpacity, } from 'react-native';
import Label from '../../Label';
import styles from './style';
import config from '../config';
import * as typings from './Rectangular.type';
class Rectangular extends Component {
    constructor(props) {
        super(props);
        this.onPress = () => {
            this.props.onClick(this.props.data);
        };
        this.layout = (e) => {
            LayoutAnimation.linear(null);
            let height = (this.props.data.value / this.props.max) * e.layout.height;
            height = height > e.layout.height - config.LABEL_FS ? height - config.LABEL_FS : height;
            this.setState({
                height,
                showNumber: true,
            });
        };
        this.state = {
            height: 0,
            showNumber: false,
        };
    }
    render() {
        const { label, style, } = this.props;
        return (React.createElement(TouchableOpacity, { onPress: this.onPress },
            React.createElement(View, { style: [styles.grid, style.grid], onLayout: ({ nativeEvent: e }) => this.layout(e) },
                label && this.state.showNumber && React.createElement(Label, { label: label }),
                React.createElement(View, { style: [styles.bar, style.bar, { height: this.state.height }] }))));
    }
}
Rectangular.defaultProps = new typings.Props();
export default Rectangular;
//# sourceMappingURL=index.js.map