/// <reference types="react" />
import { Component, ReactChildren } from 'react';
import { ViewStyle, ViewProperties } from 'react-native';
export interface FlexProp extends ViewProperties {
    /**
     * flex 字符串, 类似 '1 row' 或者数字 `1`
     */
    flex?: string | number;
    /**
     * children, 子组件
     */
    children?: ReactChildren | ReactChildren[];
    /**
     * style 样式
     */
    style?: ViewStyle;
}
export interface StateDefine {
}
export default class Flex extends Component<FlexProp, StateDefine> {
    static defaultProps: FlexProp;
    render(): JSX.Element;
}
