/// <reference types="react" />
import React, { Component, ReactElement } from 'react';
import { TextStyle, ViewStyle, ViewProperties } from 'react-native';
export declare enum PositionEnum {
    top = "top",
    bottom = "bottom",
}
export interface TabSenceProps extends ViewProperties {
    activeTextStyle?: TextStyle;
    children?: ReactElement<any>[];
    defaultTextStyle?: TextStyle;
    initialPage?: number;
    onChangeTab?: (param: any) => void;
    renderTabBar?: (x: string) => ReactElement<any>;
    scrollEnabled?: boolean;
    tabBarPosition?: string;
    tabBarStyle?: ViewStyle;
    tabUnderLineStyle?: ViewStyle;
}
export declare class TabSenceDefaultProps implements TabSenceProps {
    defaultTextStyle: TextStyle;
    activeTextStyle: TextStyle;
    constructor(defaultTextStyle: TextStyle, activeTextStyle: TextStyle);
    children: any[];
    initialPage: number;
    onChangeTab: () => void;
    page: number;
    renderTabBar: any;
    scrollEnabled: boolean;
    style: any;
    tabBarPosition: PositionEnum;
    tabBarStyle: any;
    tabUnderLineStyle: any;
}
export interface TabScenceState {
    currentPage: number;
    containerWidth: number;
}
export default class TabScene extends Component<TabSenceProps, TabScenceState> {
    [x: string]: any;
    static defaultProps: TabSenceProps;
    constructor(props: any);
    ComponentWillReceiveProps: (props: any) => void;
    getChildren: (children?: React.ReactElement<any>[] | (string & React.ReactElement<any>[]) | (number & React.ReactElement<any>[]) | (true & React.ReactElement<any>[]) | (false & React.ReactElement<any>[]) | (React.ReactElement<any> & React.ReactElement<any>[]) | ((string | number | boolean | any[] | React.ReactElement<any>)[] & React.ReactElement<any>[])) => React.ReactChild[];
    readonly tabBarProps: {
        goToScene: (pageNumber: any) => void;
        tabs: any[];
        activeTab: number;
        activeTextStyle: TextStyle;
        defaultTextStyle: TextStyle;
        tabUnderLineStyle: ViewStyle;
        tabBarStyle: ViewStyle;
    };
    goToScene: (pageNumber: any) => void;
    updateSceneKeys: ({page, callback}: {
        page: any;
        callback?: () => void;
    }) => void;
    handleChangeTab: (prevPage: any, currentPage: any) => void;
    bindOnActive(key: any, callback: any): void;
    bindEvent(obj: any, key: any, callback: any): void;
    renderScrollableContent: () => JSX.Element[];
    renderTabBar: (props: any) => JSX.Element;
    renderScrollView: (isAnimated: boolean) => JSX.Element;
    render(): JSX.Element;
}
