import dpi from './dpi';
export function isEqual(value, other) {
    if (value === other)
        return true;
    if (value === null || value === undefined)
        return false;
    if (typeof value === 'number' && isNaN(value))
        return typeof other === 'number' && isNaN(other);
    // 数组
    if (Array.isArray(value)) {
        if (!Array.isArray(other))
            return false;
        if (value.length !== other.length)
            return false;
        while (value.length) {
            const index = other.findIndex(other => isEqual(value[0], other));
            if (index === -1)
                return false;
            value.splice(0, 1);
            other.splice(index, 1);
        }
        return true;
    }
    // 对象
    if (typeof value === 'object') {
        if (typeof other !== 'object' || Array.isArray(other))
            return false;
        if (Object.keys(value).length !== Object.keys(other).length)
            return false;
        let isTrue = true;
        Object.keys(value).forEach((key) => {
            isTrue = isTrue && isEqual(value[key], other[key]);
        });
        return isTrue;
    }
    return false;
}
export function noop() { }
export { dpi, };
//# sourceMappingURL=index.js.map